Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.spi
Interface LoggerRepository

    public interface LoggerRepository

A `LoggerRepository` is used to create and retrieve `Loggers`.

The relation between loggers in a repository depends on the repository but typically loggers are arranged in a named hierarchy.

In addition to the creational methods, a `LoggerRepository` can be queried for existing loggers, can act as a point of registry for events related to loggers.

Since:
  1.2

Method Summary
`void` | `addHierarchyEventListener(HierarchyEventListener listener)` Add a `HierarchyEventListener` event to the repository.
`void` | `emitNoAppenderWarning(Category cat)`
`Logger` | `exists(String name)`
`void` | `fireAddAppenderEvent(Category logger, Appender appender)`
`Enumeration` | `getCurrentCategories()` Deprecated.
`Enumeration` | `getCurrentLoggers()`
`Logger` | `getLogger(String name)`
`Logger` | `getLogger(String name, LoggerFactory factory)`
`Logger` | `getRootLogger()`
`Level` | `getThreshold()` Get the repository-wide threshold.
`boolean` | `isDisabled(int level)` Returns whether this repository is disabled for a given level.
`void` | `resetConfiguration()`
`void` | `setThreshold(Level level)` Set the repository-wide threshold.
`void` | `setThreshold(String val)` Another form of `setThreshold(Level)` accepting a string parameter instead of a `Level`.
`void` | `shutdown()`

Method Detail

### addHierarchyEventListener

    void addHierarchyEventListener(HierarchyEventListener listener)

  Add a `HierarchyEventListener` event to the repository.

  Parameters:
    `listener` - The listener

### isDisabled

    boolean isDisabled(int level)

  Returns whether this repository is disabled for a given level. The answer depends on the repository threshold and the `level` parameter. See also `setThreshold(org.apache.log4j.Level)` method.

  Parameters:
    `level` - The level
  Returns:
    whether this repository is disabled.

### setThreshold

    void setThreshold(Level level)

  Set the repository-wide threshold. All logging requests below the threshold are immediately dropped. By default, the threshold is set to `Level.ALL` which has the lowest possible rank.

  Parameters:
    `level` - The level

### setThreshold

    void setThreshold(String val)

  Another form of `setThreshold(Level)` accepting a string parameter instead of a `Level`.

  Parameters:
    `val` - The threshold value

### emitNoAppenderWarning

    void emitNoAppenderWarning(Category cat)

### getThreshold

    Level getThreshold()

  Get the repository-wide threshold. See `setThreshold(Level)` for an explanation.

  Returns:
    the level.

### getLogger

    Logger getLogger(String name)

### getLogger

    Logger getLogger(String name,
                     LoggerFactory factory)

### getRootLogger

    Logger getRootLogger()

### exists

    Logger exists(String name)

### shutdown

    void shutdown()

### getCurrentLoggers

    Enumeration getCurrentLoggers()

### getCurrentCategories

    Enumeration getCurrentCategories()

  Deprecated. Please use `getCurrentLoggers()` instead.

  Returns:
    an enumeration of loggers.

### fireAddAppenderEvent

    void fireAddAppenderEvent(Category logger,
                              Appender appender)

### resetConfiguration

    void resetConfiguration()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.